//TMPTaskBar Demo Application
unit MPTPDemo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  MPTaskBar, ExtCtrls, ImgList, StdCtrls, Spin, Buttons, ComCtrls;

type
  TDemoMain = class(TForm)
    Panel1: TPanel;
    NewChildABtn: TSpeedButton;
    NewChildBBtn: TSpeedButton;
    ButtonWidthSpe: TSpinEdit;
    Label1: TLabel;
    FlatButtonsChk: TCheckBox;
    HotGlyphsChk: TCheckBox;
    NewChildCBtn: TSpeedButton;
    NewChildDBtn: TSpeedButton;
    HotImageList: TImageList;
    RegImageList: TImageList;
    StatusBar1: TStatusBar;
    MPTaskBar1: TMPTaskBar;
    procedure ButtonWidthSpeChange(Sender: TObject);
    procedure FlatButtonsChkClick(Sender: TObject);
    procedure HotGlyphsChkClick(Sender: TObject);
    procedure CreateNewChild(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DemoMain: TDemoMain;

implementation

uses demo_child;

{$R *.DFM}

procedure TDemoMain.ButtonWidthSpeChange(Sender: TObject);
begin
    MPTaskBar1.ButtonWidth := ButtonWidthSpe.Value;
end;

procedure TDemoMain.FlatButtonsChkClick(Sender: TObject);
begin
    MPTaskBar1.FlatButtons := FlatButtonsChk.Checked;
end;

procedure TDemoMain.HotGlyphsChkClick(Sender: TObject);
begin
    MPTaskBar1.UseHotGlyphs := HotGlyphsChk.Checked;
end;

procedure TDemoMain.CreateNewChild(Sender: TObject);
begin

    if Sender = NewChildABtn then
        TDemoChild.Create(Application, 'Child A', 0)
    else
        if Sender = NewChildBBtn then
            TDemoChild.Create(Application, 'Child B', 1)
        else
            if Sender = NewChildCBtn then
                TDemoChild.Create(Application, 'Child C', 2)
            else
                if Sender = NewChildDBtn then
                    TDemoChild.Create(Application, 'Child D', 3);
end;


end.
