//TMPTaskBar Demo application.
unit demo_child;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TDemoChild = class(TForm)
    Label2: TLabel;
    Label3: TLabel;
    Memo1: TMemo;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    constructor Create(owner: TComponent; newCaption: string; glyphIndex: Cardinal); overload;
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DemoChild: TDemoChild;

implementation

uses MPTPDemo;

{$R *.DFM}

constructor TDemoChild.Create(owner: TComponent; newCaption: string; glyphIndex: Cardinal);
var
    theIcon: TIcon;
begin
    inherited Create(owner);
    
    DemoMain.MPTaskBar1.NewButton(self, newCaption, glyphIndex);
    Caption := newCaption;

    theIcon := TIcon.Create();
    DemoMain.RegImageList.GetIcon(glyphIndex, theIcon);
    Icon := theIcon;
end;

procedure TDemoChild.FormClose(Sender: TObject; var Action: TCloseAction);
begin
    DemoMain.MPTaskBar1.RemoveButton(self);
    Free();
end;

procedure TDemoChild.FormActivate(Sender: TObject);
begin
    DemoMain.MPTaskBar1.ButtonActive(self);
end;

end.
